﻿.modal-right {
  width: auto;
  height: auto;
  position: fixed;
  background: #fff;
  z-index: 200000000;
  top: 30%;
  right: 0;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
  border-radius: 10px;
  cursor: pointer; }
  .modal-right .close-modal-right {
    position: absolute;
    font-size: 1em;
    z-index: 99999999999999;
    width: 20px;
    left: -15px;
    top: -5px;
    background: #000;
    color: #fff;
    text-align: center;
    border-radius: 10px; }
  .modal-right .show-iconright {
    padding: 10px;
    font-size: 1.2em;
    background: #c00000;
    color: #fff;
    font-weight: bold;
    display: none; }

.icon-right {
  width: 100%;
  height: 100%;
  position: relative; }
  .icon-right .img_icon {
    z-index: 9999;
    padding: 5px;
    width: 50px;
    height: 50px;
    background: #fff; }
    .icon-right .img_icon img {
      width: 100%; }
  .icon-right .more_icon {
    min-width: 100%;
    max-width: none;
    transform: translatey(20%);
    height: 80%;
    z-index: -999;
    position: absolute;
    top: 0;
    right: -300%;
    background: #b6ff00;
    display: block;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
    line-height: 90%;
    transition: all ease-in-out 0.5s; }
    .icon-right .more_icon h2 {
      font-weight: bold;
      font-size: 1.8em;
      color: #002395;
      width: 100%;
      display: block;
      margin: 0;
      padding: 5px; }
  .icon-right .more_icon.cart {
    height: 100%;
    right: -500px; }
  .icon-right .cart-content {
    width: 300px;
    height: auto;
    padding: 5px;
    background: #ddd;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24); }
    .icon-right .cart-content .List-cart-item {
      max-height: 300px;
      overflow: auto; }
    .icon-right .cart-content h3 {
      text-align: center;
      font-size: 2em;
      font-weight: bold;
      color: #000; }
    .icon-right .cart-content .cart-item {
      background: #fff;
      display: flex;
      margin: 5px; }
      .icon-right .cart-content .cart-item .img-item {
        width: 50px;
        height: 50px; }
        .icon-right .cart-content .cart-item .img-item img {
          width: 100%;
          height: 100%; }
      .icon-right .cart-content .cart-item .content-item {
        width: 70%;
        margin-bottom: 10px; }
        .icon-right .cart-content .cart-item .content-item .name-product {
          font-weight: bold;
          font-size: 1.2em;
          padding: 5px; }
          .icon-right .cart-content .cart-item .content-item .name-product a {
            overflow: hidden;
            text-overflow: ellipsis;
            display: -webkit-box;
            -webkit-line-clamp: 1;
            -webkit-box-orient: vertical;
            line-height: 100%; }
        .icon-right .cart-content .cart-item .content-item .price-product {
          padding: 5px;
          color: #c00000;
          font-weight: bold; }
    .icon-right .cart-content .btn-cart {
      height: 50px;
      text-align: center;
      margin: 5px;
      display: block; }
      .icon-right .cart-content .btn-cart a {
        display: block;
        background: #c00000;
        font-weight: bold;
        font-size: 1.5em;
        line-height: 50px;
        color: #fff; }
  .icon-right:hover .more_icon {
    right: 50px; }
  .icon-right .Cart-sum {
    position: absolute;
    background: #c00000;
    z-index: 99999999999999;
    width: 20px;
    right: 0;
    color: #fff;
    text-align: center;
    border-radius: 100px; }

@media (max-width: 320px) {
  .more_icon.cart .cart-content {
    width: 260px; }
  .List-cart-item {
    max-height: 200px !important;
    overflow: auto; } }

@media screen and (max-width: 480px) {
  .modal-right {
    display: none; } }
